Filter (base API)
Date: 2019-04-05

com.twosigma.beakerx.chart

## Enum Filter

- java.lang.Object
- - java.lang.Enum<Filter>
  - - com.twosigma.beakerx.chart.Filter

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Filter>

      public enum Filter
      extends java.lang.Enum<Filter>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AREA`
    `BAR`
    `BOX`
    `LINE`
    `POINT`
    `RIVER`
    `STEAM`
    `STEAM_PLUS`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getText()`
    `static Filter` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Filter[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AREA

          public static final Filter AREA

    - #### LINE

          public static final Filter LINE

    - #### BAR

          public static final Filter BAR

    - #### BOX

          public static final Filter BOX

    - #### POINT

          public static final Filter POINT

    - #### STEAM

          public static final Filter STEAM

    - #### STEAM_PLUS

          public static final Filter STEAM_PLUS

    - #### RIVER

          public static final Filter RIVER

  - ### Method Detail

    - #### values

          public static Filter[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Filter c : Filter.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Filter valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getText

          public java.lang.String getText()